Bug 30466 - Force repartition without "Image boot with update check / Initial installation" set results in unjoined system
Force repartition without "Image boot with update check / Initial installatio...
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS Integration
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Erik Damrose
Lukas Walter
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-15 13:19 CET by Erik Damrose
Modified: 2014-06-12 09:19 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-02-15 13:19:37 CET
When enabling the checkbox "Repartitioning for installed systems" but forgetting to set the boot variant to "Image boot with update check / Initial installation", the system will be repartitioned and the current chosen image will be downloaded. However, the system is not joined. 

We should remove the checkbox and add another dropdown item "Force repartition / Initial installation"
Comment 1 Erik Damrose univentionstaff 2014-04-07 14:52:15 CEST
The boot variant dropdown has three options in UCC 1: 
Live boot, image boot without update, image boot with update / initial installation

The proposed change is to 
- remove the repartition flag from the UMC.
- rename "Image boot with update check / Initial installation" to "Image boot with update check"
- add a fourth option: "Initial installation"

Internally, the fourth option will set the rollout flag and the repartition flag. No ldap changes are necessary, which supports upgrading from UCC 1.

We can also do a larger change by completely removing the repartition flag from udm and ldap. Then, we have to also adapt the ucc-initramfs script and provide an update-script for users who use ucc 1.
Comment 2 Erik Damrose univentionstaff 2014-04-23 11:01:32 CEST
* ucc-management-integration 2.0.4-2.63.201404231048
r49515 + r49518
The repartition flag has been removed from udm and thus the umc module. A new option for repartitioning and rollout has been added.

* ucc-pxe-boot 6.0.1-6.31.201404231043
r49517
The repartition flag has been removed from the listener module

* univention-ucc-initramfs
r49519
The repartition flag has been removed from the initscript. The check for repartitioning has been adapted

r49521 changelog
Comment 3 Moritz Muehlenhoff univentionstaff 2014-04-24 10:32:45 CEST
As discussed: Internally the new boot options still need to be mapped to the repartition flag, otherwise we cannot handle mixed environments with UCC 1.0 and UCC 2.0 images.
Comment 4 Erik Damrose univentionstaff 2014-04-28 11:32:23 CEST
r49657 ucc-management-integration 2.0.4-3
- Add mapping from repartitioning boot variant to repartitioning flag to stay backwards compatible

r49658 univention-ucc-initramfs 3.0.0-15
- Adapted initramfs + set_boot_variant.sh 

r49659 ucc-pxe-boot 6.0.1-10
- Readded partition flag
Comment 5 Moritz Muehlenhoff univentionstaff 2014-04-28 13:14:08 CEST
For the QA please install the UCC 1.0 management integration from the App Center.
The  create two UCC systems with the "Boot variant" "Image boot with update check / Initial installation". For one system the option "Repartitioning for installed systems" should be enabled, for the other not.

Also, one UCC client should be created with "Live boot" and one with "Image boot without update check"

The four systems don't need to be rolled out fully.

Then the UCC integration packages should be updated to UCC 2.0. The "Live boot" and "Image boot without update check" systems should be unchanged.

The system with "Install + Repartition" should be displayed as "Installation with repartitioning and image rollout".
The system with "Install but without Repartition" should be displayed as "Image boot without update check".

After the update to UCC 2.0 an UCC desktop and UCC thin client 1.0 rev3 should be rolled out.

Also it should be checked that the changes to ucc-pxe-boot are reverted.
Comment 6 Lukas Walter univentionstaff 2014-04-29 14:25:37 CEST
OK: ucc-pxe-boot reverted

After update:
=============
OK: all systems with repartition flag are migrated to new Rollout boot variant
OK: "Image boot without update check" / "Live-System" remain unchanged
OK: "Image boot with update check / Initial installation" without repartition flag migrated to "Image boot without update check"
OK: general installation

OK: changelog

VERIFIED.
Comment 7 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:52 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".